Argus Camera Sample Argus Camera Sample

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Enumerations | Functions
ArgusSamples Namespace Reference

## Classes
class | ConditionVariable
| Conditional. More...
class | Mutex
| Mutex. More...
class | ScopedMutex
| An RAII-style class for acquiring a Mutex. More...
class | ScopedGuard
| RAII-syle class performing an action when control flow leaves the scope. More...
class | TimeValue
| A time value. More...
class | GstUnrefer
| RAII helper class for calling gst_object_unref on exit from a block or function. More...
class | VideoPipeline
| Record a video from a EGL stream. More...
class | IObserverForInterface
| An observer for an Argus interface. More...
class | DenoiseSettingsObserver
| Denoise settings observer. More...
class | EdgeEnhanceSettingsObserver
| Edge enhancement settings observer. More...
class | SourceSettingsObserver
| Source settings observer. More...
class | AutoControlSettingsObserver
| Auto control settings observer. More...
class | DeFogSettingsObserver
| DeFog settings observer. More...
class | Dispatcher
| The dispatcher is called by clients like the command line interface. More...
class | EventThread
| The EventThread is querying events from the session. More...
class | ITask
| Base class for tasks. More...
class | PerfTracker
| Used to track global performance events. More...
class | SessionPerfTracker
| Used to track session performance events. More...
class | GalleryItem
| Represents an item in the gallery. More...
class | GalleryItemImage
| A gallery image. More...
class | GalleryItemVideo
| A gallery video. More...
class | GalleryThread
| This class handles creation of a thread scanning for supported images/videos, loading them and writing the content to an EGLStream. More...
class | TaskGallery
| This task implements a gallery to review images and videos. More...
class | TaskMultiExposure
| This task captures multiple streams with different exposure compensation values. More...
class | TaskMultiSession
| This task creates one session for each available sensor. More...
class | TaskStillCapture
| This task captures still images. More...
class | TaskVideoRecord
| This task records a video and saves it to a file using gstreamer. More...
class | Tracker
| A class tracking an Argus object through the TrackedUniqueObj below. More...
class | TrackedUniqueObj
| This class helps track construction and destruction of Argus objects. More...
class | Composer
| The composer is used to render multiple EGL streams into the windows. More...
class | StreamConsumer
| The stream consumer is connecting to a EGL stream and consumes the frames into a GL texture. More...
class | CameraApp
class | AppModuleCapture
| The capture app module adds functionality to capture still images and save them as files. More...
class | App
| Base class for apps. More...
class | AppModuleGeneric
| The base app module provides basic settings common to all app modules. More...
class | IAppModule
| A application module exposes command line options, GUI elements and executes tasks. More...
class | AppModuleGallery
| The gallery app module adds functionality to review images and videos. More...
class | AppModuleMultiExposure
| The multi exposure app module adds functionality to capture multiple streams with different exposure compensation values. More...
class | AppModuleMultiSession
| The multi session app module adds functionality for adding multiple sessions where each session uses a different sensor. More...
class | AppModuleVideo
| The video app module adds functionality to record a video and save it. More...

## Enumerations
enum | StillFileType { STILL_FILE_TYPE_JPG, STILL_FILE_TYPE_HEADERLESS }
enum | GlobalEvent { GLOBAL_EVENT_APP_START, GLOBAL_EVENT_APP_INITIALIZED, GLOBAL_EVENT_DISPLAY }
| Global events. More...
enum | SessionEvent { SESSION_EVENT_TASK_START, SESSION_EVENT_ISSUE_CAPTURE, SESSION_EVENT_REQUEST_RECEIVED, SESSION_EVENT_REQUEST_LATENCY, SESSION_EVENT_FRAME_COUNT, SESSION_EVENT_CLOSE_REQUESTED, SESSION_EVENT_FLUSH_DONE, SESSION_EVENT_CLOSE_DONE }
| Session events. More...
enum | Modules { MODULE_CAPTURE, MODULE_VIDEO, MODULE_MULTI_EXPOSURE, MODULE_MULTI_SESSION, MODULE_FIRST = MODULE_CAPTURE, MODULE_LAST = MODULE_MULTI_SESSION, MODULE_COUNT, MODULE_INVALID = -1 }
| Supported modules. More...

## Functions
TimeValue | getCurrentTime ()
bool | validateOutputPath (const char *filename)
bool | loadConfig (const char *configFile)
| Load configuration from XMl file.
bool | saveConfig (const char *configFile)
| Save configuration to a XMl file.

## Enumeration Type Documentation

enum ArgusSamples::GlobalEvent

Global events.

Enumerator:

  GLOBAL_EVENT_APP_START |
  GLOBAL_EVENT_APP_INITIALIZED |
  GLOBAL_EVENT_DISPLAY |

Definition at line 48 of file PerfTracker.h.

enum ArgusSamples::Modules

Supported modules.

Enumerator:

  MODULE_CAPTURE |
  MODULE_VIDEO |
  MODULE_MULTI_EXPOSURE |
  MODULE_MULTI_SESSION |
  MODULE_FIRST |
  MODULE_LAST |
  MODULE_COUNT |
  MODULE_INVALID |

Definition at line 70 of file Main.cpp.

enum ArgusSamples::SessionEvent

Session events.

Enumerator:

  SESSION_EVENT_TASK_START |
  SESSION_EVENT_ISSUE_CAPTURE |
  SESSION_EVENT_REQUEST_RECEIVED |
  SESSION_EVENT_REQUEST_LATENCY |
  SESSION_EVENT_FRAME_COUNT |
  SESSION_EVENT_CLOSE_REQUESTED |
  SESSION_EVENT_FLUSH_DONE |
  SESSION_EVENT_CLOSE_DONE |

Definition at line 120 of file PerfTracker.h.

enum ArgusSamples::StillFileType

Supported still image file formats

Enumerator:

  STILL_FILE_TYPE_JPG |
  STILL_FILE_TYPE_HEADERLESS |

Definition at line 208 of file Util.h.

## Function Documentation

TimeValue ArgusSamples::getCurrentTime | ( |  | ) |

Get the current time.

Definition at line 42 of file Util.cpp.

bool ArgusSamples::loadConfig | ( | const char * | configFile | ) |

Load configuration from XMl file.

Parameters:

  configFile | [in]

Definition at line 258 of file XMLConfig.cpp.

bool ArgusSamples::saveConfig | ( | const char * | configFile | ) |

Save configuration to a XMl file.

Parameters:

  configFile | [in]

Definition at line 377 of file XMLConfig.cpp.

bool ArgusSamples::validateOutputPath | ( | const char * | filename | ) |

Definition at line 53 of file Util.cpp.